# Uses of Class
org.eclipse.emf.cdo.session.remote.CDORemoteSessionRequest

Packages that use CDORemoteSessionRequest
Package
Description
org.eclipse.emf.cdo.session.remote
Client concepts for the communication and collaboration with other sessions.

## Uses of CDORemoteSessionRequest in org.eclipse.emf.cdo.session.remote

Methods in org.eclipse.emf.cdo.session.remote that return CDORemoteSessionRequest
Modifier and Type
Method
Description
`CDORemoteSessionRequest`
CDORemoteSessionRequest.`onException(BiConsumer<String,Throwable> exceptionHandler)`
`CDORemoteSessionRequest`
CDORemoteSessionRequest.`onResponse(Consumer<byte[]> responseConsumer)`
`CDORemoteSessionRequest`
CDORemoteSessionRequest.`onTimeout(Consumer<String> timeoutHandler)`
`CDORemoteSessionRequest`
CDORemoteSessionRequest.`timeout(long timeout)`